/*
 * $Id: Parameters_print.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {

  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,Select_Priority_Fixed,"print","Begin");

    XML xml ("select_priority_fixed");

    xml.balise_open("select_priority_fixed");
    xml.singleton_begin("nb_entity       "); xml.attribut("value",toString(_nb_entity       )); xml.singleton_end();
    xml.singleton_begin("encoding_one_hot"); xml.attribut("value",toString(_encoding_one_hot)); xml.singleton_end();
    xml.singleton_begin("encoding_compact"); xml.attribut("value",toString(_encoding_compact)); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,Select_Priority_Fixed,"print","End");
    
    return xml.get_body(depth);
  };

  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::generic::select::select_priority_fixed::Parameters & x)
  {
    output_stream << x.print(0);
    
    return output_stream;
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
